[libcamera-devel] [PATCH] utils: hooks: pre-push: Catch commits without reviews

Laurent Pinchart laurent.pinchart at ideasonboard.com
Wed Apr 29 03:06:01 CEST 2020


Improve the pre-push git hook script to reject commits without at least
one Reviewed-by line.

Signed-off-by: Laurent Pinchart <laurent.pinchart at ideasonboard.com>
---
 utils/hooks/pre-push | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/utils/hooks/pre-push b/utils/hooks/pre-push
index 0eb8f5ce193d..5dc8addabeb6 100755
--- a/utils/hooks/pre-push
+++ b/utils/hooks/pre-push
@@ -56,6 +56,13 @@ do
 			echo >&2 "Missing committer Signed-off-by in commit $commit"
 			errors=$((errors+1))
 		fi
+
+		# 3. A Reviewed-by is required.
+		if ! echo "$msg" | grep -q '^Reviewed-by: '
+		then
+			echo >&2 "No Reviewed-by in commit $commit"
+			errors=$((errors+1))
+		fi
 	done
 
 	if [ $errors != 0 ]
-- 
Regards,

Laurent Pinchart



More information about the libcamera-devel mailing list